So-net無料ブログ作成

【Ubuntu 11.04】Google Earth 6.0.2 インストール (日本語文字化け対処) [ubuntu]

やっと、Google Earth 6.0.2が正常に動くようになりました。

SS-google-earth-001.jpeg

対処前は、起動しても下図のように文字化け。

SS-google-earth-004.jpg

それで、色々調べたら、下記のURLのスレッドを参考に解決できました。

http://www.google.com/support/forum/p/earth/thread?tid=3fe67ea84f63bcd8&hl=en

上記URLのスレッドでBest Answerになっている、ttf-mscorefonts-installerをインストールする方法では上手くいきませんでした。

ですが、このスレッドのrmtk313さんが投稿された方法で解決出来ました。

やり方を簡単に要約すると、Qt4 ライブラリをDebian Sqeezeの4.6.3と入れ替えて、イメージプラグインをGoogle Earthの5.2の物と入れ替えて、freeimage3 をプレロードしてGoogle Earth 6.0.2を起動すると言う方法です。

何とか、もっと簡単な方法が無いか試したのですが、NattyのQt4ライブラリを使うと写真表示が出なかったりして(下図の東京ドームの写真が?印になる)、結局、前述の方法になってしまいました。

SS-google-earth-002.jpeg

Google Earth 6なのでストリートビューも出ます。

SS-google-earth-003.jpeg

ただ、私の環境(ATI fglrxドライバ)だと、画面のオーバーレイが上手くいかないです。これは、Virtualbox上でも起きるのですが、発生するオーバーレイの不具合がちょっと違うのでドライバーの問題も絡んでいると思います。

やり方は、「続きを読む」を押してください。結構、面倒くさいです。(既に、広告の下にインストール方法が出てる方もいると思います)

 

 ←旅レコ (GPS ロガー)

    私はヨットに乗るので、その軌跡を
    記録できるから欲しいな~とは思うのですが・・
    地図自体が海用(つまり電子海図)はめちゃくちゃ高い。
    Google EarthのKMZ形式にも対応してます。

 

 

 

 

<<インストール方法>>

今回は、全て端末(コマンドライン)から行います。

※GUIで記述すると、ブログで見れる量ではないし、記述が大変ですので・・・

1) 前準備。

作業用のgeというディレクトリを作成します。万が一、既にgeというディレクトリがある方は一時的に退避して下さい。

sudo apt-get install libfreeimage3 lsb-core

cd

mkdir ge

cd ge

 

2) Google Earth 6.0.2のインストール

すでに、Google Earth 6.0.2をインストール済みの方は 、ここはやらずに3)に跳んで下さい。

それと、注意点として、この時点でgeのディレクトリの中に以前のバージョンのGoogleEarthLinux.binとかを置かないで下さい。古いバージョンのGoogle Earthのパッケージが出来てしまいます。

sudo apt-get install googleearth-package

sudo make-googleearth-package --force

sudo dpkg -i googleearth_6.0.2.2074+0.6.0-1_i386.deb

---追記 5/12---

yamadaさんにご指摘を受け、次の3)の手順でlibqt4-webkitのwget文が抜けている事が分りましたので、修正しました。

また、yamadaさんによるとQt4のライブラリ(4.6.2)を10.04のリポジトリからダウンロードしても正常動作するそうです。その場合は、Ubuntu 11.04と10.04ではQt4ライブラリの部分の手順が変わります。

Ubuntu 10.04の場合は、Qt4ライブラリを3)のwgetによるダウンロードや4)の展開をせずにリポジトリから通常インストールします。そうすると/usr/libのディレクトリにQt4ライブラリがインストールされますので、Google Earthのディレクトリ(/usr/lib/googleearth または /opt/google/earth/free)に6)のmvコマンドによる退避後にコピー又はシンボリックリンクでOKです。

Ubuntu 11.04の場合は、Qt4ライブラリを3)のwgetの代わりに、http://packages.ubuntu.com/ のページで、Search package directoriesを「lucid」に合わせます。そして、keywordに「libqtcore4」「libqtgui4」「 libqt4-network」「libqt4-webkit」「libqt4-phonon」「libqt4-xmlpatterns」でそれぞれ検索を掛ければダウンロードできます。ダウンロードの保存先は~/geにして下さい。後は、ファイル名を適宜読み替えて4)以降の手順を行って下さい。 

ちなみにlibqt4-phononとlibqt4-xmlpatternsですが、Google Earthインストール直後はgoogle earthのインストールディレクトリには入っていません。これは、google earthのインストールディレクトリにある初めからある4つのQt4ライブラリを置き換えたのち、動作させて見たら該当ファイルが無いと言われたので追加でインストールした物です。入れれば確実に動きますが、不要なケースもあるかもしれません。

---追記終わり 5/12 ---

3) 置き換えるファイルのダウンロード

すぐ下のGoogleEarthLinux.binはディレクトリが変わってダウンロードできなくなった場合は、Linux版Google Earth 5.2を探してダウンロードして下さい。

--- 2011/7/6追記 ---

ファイル名が *_i386.deb から *+squeeze1_i386.debにそれぞれ変更になってましたので修正しました。

--- 2011/7/6追記終わり ---

wget http://dl.google.com/earth/client/advanced/previous/GoogleEarthLinux.bin

wget http://ftp.jp.debian.org/debian/pool/main/q/qt4-x11/libqtcore4_4.6.3-4+squeeze1_i386.deb

wget http://ftp.jp.debian.org/debian/pool/main/q/qt4-x11/libqtgui4_4.6.3-4+squeeze1_i386.deb

wget http://ftp.jp.debian.org/debian/pool/main/q/qt4-x11/libqt4-webkit_4.6.3-4+squeeze1_i386.deb

wget http://ftp.jp.debian.org/debian/pool/main/q/qt4-x11/libqt4-network_4.6.3-4+squeeze1_i386.deb

wget http://ftp.jp.debian.org/debian/pool/main/q/qt4-x11/libqt4-phonon_4.6.3-4+squeeze1_i386.deb

wget http://ftp.jp.debian.org/debian/pool/main/q/qt4-x11/libqt4-xmlpatterns_4.6.3-4+squeeze1_i386.deb

 

4) ファイルの展開

dpkg -x libqtcore4_4.6.3-4+squeeze1_i386.deb core

dpkg -x libqtgui4_4.6.3-4+squeeze1_i386.deb gui

dpkg -x libqt4-network_4.6.3-4+squeeze1_i386.deb net

dpkg -x libqt4-webkit_4.6.3-4+squeeze1_i386.deb web

dpkg -x libqt4-phonon_4.6.3-4+squeeze1_i386.deb phonon

dpkg -x libqt4-xmlpatterns_4.6.3-4+squeeze1_i386.deb xml

chmod +x GoogleEarthLinux.bin

./GoogleEarthLinux.bin --target ge5

cd ge5

tar xf googleearth-data.tar

 

5)Google Earthのインストールディレクトリに移動

ここで、インストールのやり方によって、移動する先が違います。

make-googleearth-package を使ってインストールされた方、(つまり前述の2の方法でインストールされた方)は、下記のコマンドを入力します。

cd /usr/lib/googleearth

※64bit版の方はcd /usr/lib32/googleearthになるのかな??環境が無いので分りません。。(o*。_。)oペコッ

Google Earthのページからdebファイルをダウンロード&インストールされた方は、下記のコマンドを入力します。

cd /opt/google/earth/free


6) ファイルの退避と置き換え

この6) の手順を行っている時はGoogle Earthを立ち上げないでください。高確率で落ちます。

sudo mv libQtCore.so.4 libQtCore.so.4.org

sudo mv libQtGui.so.4 libQtGui.so.4.org

sudo mv libQtNetwork.so.4 libQtNetwork.so.4.org

sudo mv libQtWebKit.so.4 libQtWebKit.so.4.org

sudo cp ~/ge/core/usr/lib/libQtCore.so.4.6.3 libQtCore.so.4

sudo cp ~/ge/gui/usr/lib/libQtGui.so.4.6.3 libQtGui.so.4

sudo cp ~/ge/net/usr/lib/libQtNetwork.so.4.6.3 libQtNetwork.so.4

sudo cp ~/ge/web/usr/lib/libQtWebKit.so.4.6.3 libQtWebKit.so.4

sudo cp ~/ge/xml/usr/lib/libQtXmlPatterns.so.4.6.3 libQtXmlPatterns.so.4

sudo cp ~/ge/phonon/usr/lib/libphonon.so.4.3.1 libphonon.so.4

cd plugins/imageformats

sudo mv libqgif.so libqgif.so.org

sudo mv libqjpeg.so libqjpeg.so.org

sudo cp ~/ge/ge5/plugins/imageformats/* .

sudo ldconfig  #念の為

 

7) 起動ファイルの書き換え

make-googleearth-package を使ってインストールされた方:

cd /usr/bin

sudo vi googleearth

としてエディタでgoogleearthを開きます。

最後の行(./googleearth-bin "$@"という記述がある)1つ前の行に、

export LD_PRELOAD=libfreeimage.so.3

を付け加えて、セーブ。

Google Earthのページからdebファイルをダウンロード&インストールされた方:

cd  cd /opt/google/earth/free

sudo vi googleearth

としてエディタでgoogleearthを開きます。

最後の行(LD_LIBRARY_PATH=.:$LD_LIBRARY_PATH ./googleearth-bin "$@"という記述がある)1つ前の行に、

export LD_PRELOAD=libfreeimage.so.3

を付け加えて、セーブ。

最後に、初めてインストールされた方は、ここで一度、ログアウト&ログインして下さい。

ちゃんと動く事を確認出来たら、下記のコマンドで作業ディレクトリを削除して下さい。(残しておいても問題ないですが、ディスク容量を無駄に使います。)

cd

rm -rf ge

以上です。

まさか、違うディストリビューションからファイルを持ってくる事になるとは思いませんでした。Ubuntu 10.04 (Lucid)のQt4ライブラリがバージョンが近いので、それでも、大丈夫かな??※追記5/12※yamadaさんのコメントにあるように動くようです。

それと、このインストール手順見ていて「スクリプトにすればいいじゃない」と思われた方・・正しいです。私も途中で気付きましたが、sudoを記述してしまっているので、書きなおすの面倒でした。。

 ←コンパス

    左のSILVA製
    私が乗っているヨットの
    計器と同じメーカー。
    まさか、アマゾンでSILVAが
    売られているとは・・・
    右は、私の欲しいタイプ。
    回航中に目標物の方角を知りたい。
    揺れると使えないかな??


nice!(1)  コメント(13) 
共通テーマ:パソコン・インターネット

nice! 1

コメント 13

yamada

google-earth6(以下ge6)の文字化け解決に困ってここに来ました。
丁寧なご説明をいただき、無事解決(10.04と11.04)できたので御礼を申し上げます。ご教示の方法で解決後、普通にlibqt4をubuntuリポジトリからインストールし(4.6.2)、ge6内のlibqt関係4つのファイル削除、画像まわりのプラグイン旧バージョン化とlibfreeimageのプリロードを行えば正常起動できることがわかりました。なお、大変細かいことですが、お書きになったwget文にlibqt-webkitの分を加える必要があります。
とまれ、大変助かりました。ありがとうございました。
by yamada (2011-05-12 11:20) 

あんきょ

☆yamadaさん☆
参考になって良かったです。
それと、wgetの記述抜けの件、ご指摘ありがとうございます。さっそく、修正しました。その上、Qtライブラリ4.6.2の動作確認報告まで誠にありがとうございます。
by あんきょ (2011-05-12 19:56) 

kusachi

LinuxMint11使用中です。
Mint11のアプリケーションからgoogle-erth6インストールできますが、文字化け等で困っていました。
仕方なく、パッケージマネージャーでバージョン固定して、google-erth5を使用していました。
ご教授の方法で全く解決しました。
労作、どうもありがとうございました。
by Kusachi


by kusachi (2011-06-13 01:32) 

あんきょ

☆kusachiさん☆
文字化けが解決して良かったですね。
私は、kusachiさんのコメントを読むまで、パッケージマネージャーでバージョン固定が出来る事を知りませんでした。なので、ありがたいコメントを頂きありがとうございました。
by あんきょ (2011-06-13 21:26) 

くろちゃん

美しいインターフェースで動くようになりました!
本当にありがとうございました。
libfreeimageは自前でビルドしてリネームしても使えました。
by くろちゃん (2011-07-01 00:52) 

あんきょ

☆くろちゃんさん☆
動くようになって良かったです。文字化けしてる時は、かなり汚いですからね。

libfreeimageを自前でビルドするとは、やりますね~。
私は横着なのでリポジトリのものを使いました。
by あんきょ (2011-07-01 18:47) 

くろちゃん

やっぱリポジトリのfreeimage3のパッケージが無いとダメみたいでした。
バーション大切ですね・・・
by くろちゃん (2011-07-01 19:52) 

あんきょ

☆くろちゃんさん☆
せっかくBuildしたのに、もったいないですね。
確かに、libQt4関連のライブラリもちょっとバージョンが違うだけで動きませんからね・・バージョンが大切な事にはまったく同じ意見です。
by あんきょ (2011-07-02 04:23) 

miya

ご教示ありがとうございます。
ubuntu初心者です。
11.10(x64)に、Google Earthのページからdeb(64bit deb)ファイルをダウンロード&インストールして、文字化けに悩んでおりましたが、文字化けはしなくなったのですが、なぜか、起動直後(数秒後)に、Google Earthが落ちてしまう状態になりました。
make-googleearth-package を使ってインストールも実行しましたが、同様に文字化けするので、ご教授の方法で文字化け対応すると、やはり、起動直後(数秒後)に、Google Earthが落ちてしいます。



by miya (2012-01-28 23:16) 

miya

自己レスです。
解決しました。
11.10(x64)に、Google Earthのページからdeb(64bit deb)ファイルをダウンロード&インストールしました。Google Earthのバージョンは、6.1.0.5001です。
2011-11-23の記事の方法では、全く起動しませんでした。このページの記事の方法でも、起動するものの、すぐに落ちていましたが、/usr/lib/libfreeimage.so.3
のPRE_LOADがうまく言っていないことが、「端末内で実行」によってわかったので、
libfreeimage.so.3
/opt/google/earth/free
に置くことで無事解決しました。
/usr/lib/libfreeimage.so.3は、シンボリックリンクですが、リンクは正常に思えるのですが、なぜかダメした。
なお、libfreeimage.so.3は、上述の
rmtk313さんが投稿された方法のwebから、replacement.7zをダウンロードして、解凍した中をものを利用しました。

助かりました。ありがとうございました。

by miya (2012-01-29 19:44) 

あんきょ

☆miyaさん☆
直って良かったですね。
実は、コメント読んだ後に私の環境に64bit版が無かったのでどうしようかな~と思っていた所でした。

恐らくPRE_LOADの所が問題何だろうとは想像付きました。
これは推測ですが、replacement.7zの中のlibfreeimage.so.3は32bit版です。そしてmiyaさんがシンボリックリンクを張られたのは、64bit版のlibfreeimage.so.3と思われます。(/usr/lib/libfreeimage.so.3とコメントされていらしゃるので・・・)

そうだとすると、libfreeimage.so.3は32bit版でなければならないと言うことだと思います。

miyaさんのコメントで貴重な情報が得られました。
こちらこそ、コメントありがとうございました。
by あんきょ (2012-01-29 21:07) 

sasaki

大変参考になり、google-earth の文字化け解決に挑戦しております。ubuntu 11.10 32bit を使っています。
ご教示の通り行いましたところ、
./googleearth-bin: symbol lookup error: ./librender.so: undefined symbol: _Z34QBasicAtomicInt_fetchAndAddOrderedPVii
というエラーが出ます。 ldd /opt/google/earth/free/librender.so で調べると、
libglobalnew.so => not found
libapiloader.so => not found
libbase.so => not found
libcommon.so => not found
libcommon_gui.so => not found
libcomponentframework.so => not found
libge_net.so => not found
libgeobase.so => not found
libmath.so => not found
libmoduleframework.so => not found
libport.so => not found

 というのがあり、これらが怪しそうなのですが、ここから先がわかりません。
ご教示願えませんでしょうか?


by sasaki (2012-08-09 10:21) 

あんきょ

☆sasakiさん☆

大変返信が遅くなってすみません。
もう、解決されましたかね??

これって、、よくわかりませんが、必要なライブラリがないのかな??それともライブラリのパス??

うーん。やっぱり、原因はわかりません。
by あんきょ (2012-10-30 01:30) 

コメントを書く

お名前:
URL:
コメント:
画像認証:
下の画像に表示されている文字を入力してください。

Facebook コメント

この広告は前回の更新から一定期間経過したブログに表示されています。更新すると自動で解除されます。

×

この広告は1年以上新しい記事の更新がないブログに表示されております。